{
	"name": "form/nc/erp-sync/lantek/column/product_lot-stock_parcel.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"red": "data.pr && data.pr.error",
				"darkred": "data.pr && data.pr.error && data.pr.error.search('match') > -1",
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"icon": "nc-link-icon",
			"link_field": "prl.record_id",
			"name": "Row",
			"record_type": "",
			"variable": "idx"
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"change_compare": false,
			"field": "prl.serial_number",
			"name": "Smelting num.",
			"width": 120
		},
		{
			"field": "prl.product_id",
			"name": "Product id",
			"width": 180
		},
		{
			"field": "pr.name",
			"name": "Product name",
			"width": 300,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"variable": "pr.error",
			"name": "Error",
			"width": 180,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"field": "pr.drawing_number",
			"name": "Drawing",
			"width": 200,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"field": "prl.amount",
			"name": "Stock balance",
			"format": "%'.2f",
			"width": 130
		},
		{
			"field": "pr.json_data.stock_balance",
			"name": "Product stock",
			"format": "%'.2f",
			"width": 130,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"field": "pr.stock_unit",
			"name": "Unit",
			"width": 60,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"import": false,
			"field": "pr.product_group",
			"name": "Group",
			"width": 80,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"import": false,
			"field": "pr.subgroup",
			"name": "Subgroup",
			"width": 140,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"import": false,
			"field": "pr.quality",
			"name": "Quality",
			"width": 180,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"change_compare": false,
			"name": "Id",
			"field": "prl.record_id",
			"width": 350
		}
	],
	"column-niu": [
		{
			"field": "prl.info",
			"name": "Info",
			"width": 250
		},
		{
			"change_compare": false,
			"field": "prl.modify_user",
			"name": "Modifier",
			"width": 90,
			"organization_id": { "lantek": { "load": false } }
		},
		{
			"change_compare": false,
			"field": "prl.modify_id",
			"name": "Modified",
			"width": 140
		},
		{
			"change_compare": false,
			"field": "prl.product_lot_state",
			"name": "State",
			"width": 60
		},
		{
			"field": "prl.product_lot_type",
			"name": "Lot type",
			"width": 90
		},
		{
			"change_compare": false,
			"field": "prl.production_order_number",
			"name": "Work order",
			"width": 50
		}
	]
}
